STOREBACKUPCHECKSOURCE(1)

NAME
storeBackupCheckSource.pl - compares unchaged files in source with their
                        md5 sums in the backup

DESCRIPTION
The tool is intended to find files in the source that might have changed over time without the users interaction or knowledge, for example by bit rot.

If a file is unchanged (same ctime, mtime, size) in the source directory compared to the backup, it:

- prints an ERROR message if the md5 sum differs

- prints a WARNING if permissions, uid or gid differs

- prints MISSING if file is not in the source directory (option -v)

- prints INFO if file is identical (option -v)

SYNOPSIS
    storeBackupCheckSource.pl -s sourceDir -b singleBackupDir [-v]
              [-w filePrefix]
              [--logFile
               [--plusLogStdout] [--suppressTime] [-m maxFilelen]
               [[-n noOfOldFiles] | [--saveLogs]]

OPTIONS

--sourceDir, -s
        source directory of backup when running storeBackup.pl

--singleBackupDir, -b
        directory of the backup to compaire sourceDir with
        this must be *one* single backup directory
        (eg. 2012.08.08_02.00.11)

--verbose, -v
        also print positive messages (file is identical in source and backup)

--wrongFileTables, -w
        write filenames with detected faults in regular files for
        later bug fixing (not automated)
        parameter to this option is a file prefix
        eg. if the file prefix is '/tmp/bugsS-', the following files are
        generated:
        /tmp/bugsS-files.missing.txt
        /tmp/bugsS-md5sums.wrong.txt

--logFile, -l
        logFile, Default: stdout

--plusLogStdout
        if you specify a log file with --logFile you can
        additionally print the output to STDOUT with this flag

--suppressTime
        suppress output of time in logfile

--maxFilelen, -m
        maximal length of log file, default = 1e6

--noOfOldFiles, -n
        number of old log files, default = 5

--saveLogs
        save log files with date and time instead of deleting the
        old (with [-noOfOldFiles])

--compressWith
        compress saved log files (e.g. with 'gzip -9').
        default is 'bzip2'

COPYRIGHT
Copyright (c) 2012-2014 by Heinz-Josef Claes (see README). Published under the GNU General Public License v3 or any later version